Bug 785556 - qemu-nbd dies with nbd.c:nbd_receive_request():L460: read failed
qemu-nbd dies with nbd.c:nbd_receive_request():L460: read failed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-29 09:46 EST by Robin Green
Modified: 2013-02-11 17:01 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-11 17:01:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2012-01-29 09:46:29 EST
Description of problem:
qemu-nbd dies when trying to e.g. copy an entire filesystem off an LVM partition inside a disk image. This bug has been reported before against previous Fedora releases, and closed when they got EOLed, but what's new here is (a) this is on the latest Fedora, and (b) a reproducable test case.

Version-Release number of selected component (if applicable):
qemu-common-0.15.1-3.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
0. Obtain or create some Linux disk image, which below I've called rawhide.img because it contains a rawhide image
1. modprobe nbd max-part=63
2. qemu-nbd -t -v -c /dev/nbd0 rawhide.img
Open a new terminal
3. vgchange -ay
4. mkdir /mnt/rawhide
5. mount -o noatime /dev/mapper/vg-lv_root /mnt/rawhide/
6. /bin/cp -af /mnt/rawhide .
  
Actual results:
after about a minute:
... lots of lines like
/bin/cp: `/mnt/rawhide': Input/output error

and in the qemu-nbd terminal:
connect(unix:/var/lock/qemu-nbd-nbd0): No such file or directory
NBD device /dev/nbd0 is now connected to file rawhide.img
nbd.c:nbd_receive_request():L460: read failed

Expected results:
No qemu-nbd crash
Comment 1 Fedora Admin XMLRPC Client 2012-03-15 13:56:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-01-16 15:43:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2013-02-11 17:01:21 EST
Hi Robin, sorry this never got a response. Since F16 is going unsupported, closing as WONTFIX.

If you can still reproduce against F18, please reopen. Thankfully though qemu-nbd went from barely maintained to very actively maintained between F16 and F18 qemu versions, so things should be better these days.

Note You need to log in before you can comment on or make changes to this bug.